net.sourceforge.pmd.lang.java.ast

## Class ASTVariableDeclaratorId

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode
      - - net.sourceforge.pmd.lang.java.ast.ASTVariableDeclaratorId

All Implemented Interfaces:
  Node, JavaNode, TypeNode

    public class ASTVariableDeclaratorId
    extends AbstractJavaTypeNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTVariableDeclaratorId(int id)`
`ASTVariableDeclaratorId(JavaParser p, int id)`

### Method Summary

Methods
`void` `bumpArrayDepth()`
`int` `getArrayDepth()`
`VariableNameDeclaration` `getNameDeclaration()`
`Node` `getTypeNameNode()`
`ASTType` `getTypeNode()`
`List<NameOccurrence>` `getUsages()`
`boolean` `isArray()`
`boolean` `isExceptionBlockParameter()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor
`void` `setNameDeclaration(VariableNameDeclaration decl)`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTVariableDeclaratorId

    public ASTVariableDeclaratorId(int id)

#### ASTVariableDeclaratorId

    public ASTVariableDeclaratorId(JavaParser p,
                           int id)

### Method Detail

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### getNameDeclaration

    public VariableNameDeclaration getNameDeclaration()

#### setNameDeclaration

    public void setNameDeclaration(VariableNameDeclaration decl)

#### getUsages

    public List<NameOccurrence> getUsages()

#### bumpArrayDepth

    public void bumpArrayDepth()

#### getArrayDepth

    public int getArrayDepth()

#### isArray

    public boolean isArray()

#### isExceptionBlockParameter

    public boolean isExceptionBlockParameter()

#### getTypeNameNode

    public Node getTypeNameNode()

#### getTypeNode

    public ASTType getTypeNode()